| Home | Libraries | People | FAQ | More

#### assign_point

Assign a point with another.

###### Description

The coordinates of the first point will be assigned those of the second point. The second point is not modified.

###### Synopsis

    template<typename Point1, typename Point2>
    void assign_point(Point1 & p1, const Point2 & p2)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Point2 |  | - | Must be specified
Point1 & |  | p1 | first point
const Point2 & |  | p2 | second point

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/arithmetic/arithmetic.hpp>`